<template>
        <tr class="text-center"  @click="toggle(row.id)" :class=classTR >
            <td colspan="2" :class=classTD style="border-right: 5px solid #ddd;"> {{row.DO_DateLivr}}  - {{row.annee}} </td>

            <td> {{row.monoWeb}}  </td>
            <td style="border-right: 5px solid #ddd;"> {{row.Web}}  </td>

            <td> {{row.monoBK}}  </td>
            <td style="border-right: 5px solid #ddd;"> {{row.BK}}  </td>
            
            <td> {{row.monoCata}}  </td>
            <td style="border-right: 5px solid #ddd;"> {{row.Catalogue}}  </td>

            <td> {{row.monoVP}}  </td>
            <td style="border-right: 5px solid #ddd;"> {{row.VP}}  </td>

            <td> {{row.monoAutres}}  </td>
            <td style="border-right: 5px solid #ddd;"> {{row.Autres}}  </td>

            <td> {{row.LDF}}  </td>
            <td class="table-success" style="border-right: 5px solid #ddd;"> {{row.TotalCom}}  </td>

            <td> {{row.WebP}}  </td>
            <td> {{row.BKP}}  </td>
            <td> {{row.CatalogueP}}  </td>
            <td> {{row.VPP}}  </td>
            <td> {{row.AutresP}}  </td>
            <td> {{row.LDFP}}  </td>
            <td class="table-success"> {{row.TotalComP}}  </td>
      </tr>
      <tr class="collapsed" v-if="opened.includes(row.id)">
        <td colspan="21">
          <TableSubRowVue :child = row.child />
        </td>
      </tr>
</template>

<script lang="ts">
import { DateTime } from "luxon";
import TableSubRowVue from "./TableSubRow.vue";
export default {
  components: { TableSubRowVue },
    props:{
      row: {
          type: Object,
          default: {}
      },
    },
    data(){
        return {
          opened: [],
          classTD: '',
          classTR: '',
          subDay:[]
        }
    },
    methods: {
      toggle(id:never){
        const index = this.opened.indexOf(id);
        if (index > -1) {
          this.opened.splice(index, 1)
        } else {
          this.opened.push(id)
        }
      }
  },
  mounted(){
      const weekNumber = DateTime.now().weekNumber
      const year = DateTime.now().year
      if(this.$props.row.DO_DateLivr==weekNumber && this.$props.row.annee==year)
      {
          this.classTD= 'table-info'
      }else if((this.$props.row.DO_DateLivr<weekNumber && this.$props.row.annee==year) ||  this.$props.row.annee<year ){
        this.classTD = 'table-danger'
      }
    }
}
</script>

<style>
table td,th{
  padding: 4px 5px!important;
}
</style>